%define		php5_extension	enchant

Name:	 	php5-%php5_extension
Version:	%php5_version
Release:	%php5_release

Summary:	Enchant php-extension provides spellchecking functions
Group:		System/Servers
License:	PHP Licence
Url:		http://www.php.net/
Packager:	Andriy Rysin <arysin@gmail.com>

Source1:	php-%php5_extension.ini
Source2:	php-%php5_extension-params.sh

BuildRequires(pre): rpm-build-php5
BuildPreReq: php5-devel = %php5_version

BuildRequires: libenchant-devel

%description
Enchant php5 extension allows you to check the spelling
of a word and offer suggestions.

%prep
%setup -T -c
cp -pr %php5_extsrcdir/%php5_extension/* .

%build
phpize

BUILD_HAVE=`echo %php5_extension | tr '[:lower:]-' '[:upper:]_'`
%add_optflags -fPIC -L%_libdir
export LDFLAGS=-lphp-%_php5_version
%configure \
	--with-%php5_extension=%_usr
%php5_make

%install
%php5_make_install
install -D -m 644 %SOURCE1 %buildroot/%php5_extconf/%php5_extension/config
install -D -m 644 %SOURCE2 %buildroot/%php5_extconf/%php5_extension/params

%files
%php5_extconf/%php5_extension
%php5_extdir/*
#%doc CREDITS README

%post
%php5_extension_postin

%preun
%php5_extension_preun

%changelog
* Sun Dec 30 2012 Andriy Rysin <arysin@gmail.com> 5.2.11.20090722-alt1
- initial build for AltLinux Sisyphus
